Bug 163844 - ArrayIndexOutOfBoundsException in ProfilerRuntimeObjLiveness
ArrayIndexOutOfBoundsException in ProfilerRuntimeObjLiveness
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 08:49 UTC by Tomas Hurka
Modified: 2009-05-22 14:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2009-04-28 08:49:04 UTC
ArrayIndexOutOfBoundsException can be thrown in ProfilerRuntimeObjLiveness from WeakRefSet.put, WeakRefSet.remove and WeakRefSet.rehash because 
hashCode() can return negative result.
Comment 1 Tomas Hurka 2009-04-28 08:53:23 UTC
Fixed in profiler-main
changeset:   128949:c776678966b0
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Apr 28 09:51:44 2009 +0200
summary:     bugfix #163844, hashCode() can return negative result

Comment 2 Quality Engineering 2009-04-29 18:44:05 UTC
Integrated into 'main-golden', will be available in build *200904291401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c776678966b0
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #163844, hashCode() can return negative result


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo